<?php
 include ("header.php");
 include("conexionOdo.php");
?>

<?php
//trae el numero de sedes permitidas para la empresa
$querys  = "SELECT numSedes FROM SIME_BAS_EMPRESAS WHERE nitEmpresa=$s_nitEmpresa";
$results = mysql_query($querys) or die('Consulta de numero de sedes fallida: ' . mysql_error());
$lineas  = mysql_fetch_array($results, MYSQL_ASSOC);
$s_numSedes = $lineas['numSedes'];

// Realiza consulta de usuarios MySQL
$query = "SELECT * FROM SIME_BAS_SEDES where nitEmpresa='$s_nitEmpresa'";
$result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
$cantRegistros=mysql_num_rows($result);
 
//muestra informacion en una tabla
$i=0;
while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     //asigna valores a variables de trabajo
     $s_nitCon        = $line["nitEmpresa"];
     $s_codSede       = $line["codSede"];
     $s_nomSede       = $line["nomSede"];
     $s_dirSede       = $line["dirSede"];
     $s_telSede       = $line["telSede"];
     $s_eMailSede     = $line["eMailSede"];
     $s_respSede      = $line["respSede"];
     $s_activa        = $line["activa"];
     $s_fechaCreacion = $line["fechaCreacion"];
    
     //adecua campos string para ser enviados por la url
     $sede1 = str_replace(" ","%20",$s_nomSede);
     $sede2 = urlencode($sede1);
    
     $rl1 = str_replace(" ","%20",$s_respSede);
     $rl2 = urlencode($rl1);
    
     $dir1 = str_replace(" ","%20",$s_dirSede);
     $dir2 = urlencode($dir1);

     $tel1 = str_replace(" ","%20",$s_telSede);
     $tel2 = urlencode($tel1);

     $mail1 = str_replace(" ","%20",$s_eMailSede);
     $mail2 = urlencode($tel1);

     echo("<table align='center' width='950' border='1' cellpading='0'>\n");
     echo ("<form method='post'>\n");
      if ($i==0){// para mostrar titulos 
         echo ("<tr>\n");
          echo   ("<td class='titulosTabla' align='center' colspan='7'>ADMINISTRACION DE SEDES - NUMERO DE SEDES CONTRATADAS: $s_numSedes</td>\n");
         echo("<tr>\n");
          echo("<td class='subtutulosTabla' align='center'>ACCIONES</td>\n");
          echo("<td class='subtutulosTabla' align='center'>CODIGO</td>\n");
          echo("<td class='subtutulosTabla' align= 'center'>NOMBRE</td>\n");
          echo("<td class='subtutulosTabla' align= 'center'>DIRECCION</td>\n");
          echo("<td class='subtutulosTabla' align= 'center'>TELEFONO</td>\n");
          echo("<td class='subtutulosTabla' align= 'center'>MAIL</td>\n");
          echo("<td class='subtutulosTabla' align= 'center'>ACTIVA</td>\n");
          echo("</tr>\n");
      }

      echo("<tr class='camposTabla'>\n");
       echo("<td width='10%' align='center'> <a href=sedesModificar.php?e_codSede=$s_codSede>Modificar</a></td>\n");
       echo("<td width='10%'>$s_codSede</td>\n");
       echo("<td width='20%'>$s_nomSede</td>\n");
       echo("<td width='20%'>$s_dirSede</td>\n");
       echo("<td width='10%'>$s_telSede</td>\n");
       echo("<td width='20%'>$s_eMailSede</td>\n");
       echo("<td width='20%' align='center'>$s_activa</td>\n");
      echo("</tr>\n");
     $i = $i+1;
} //while
// footer de la tabla

?>

<table align="center">
  <tr>
  <?php 
   if ($i < $s_numSedes)
   {
  ?> 
  <td align='right' colspan='2' width='15%'> 
    <a href=menuOpciones.php><img src="imagenes/btnVol.jpg"></a>
  </td>
  
  <td align='left' colspan='2' width='15%'> 
    <a href=sedesAdicionar.php><img src="imagenes/btnNvo.jpg"></a></td>
  <?php
  }
  else{
  ?>
  <td align='center' colspan='2' width='15%'> 
    <a href=menuOpciones.php><img src="imagenes/btnVol.jpg"></a>
  </td>
  <?php
  }
  ?>
  </tr>
 </table>  
 
  <input style="visibility:hidden" name="s_vengoDe" id="s_vengoDe" value="<?=$s_vengoDe?>"/>
 
 </form>
</table> 
 
<?php
 // Liberar resultados
 mysql_free_result($result);
 // Cerrar la conexion
 mysql_close($link);
?>

</BODY>
</HTML>